{% extends 'base_tutorials.html' %}
{% block title %}Tutorials{% endblock%}

{% block content %}
  {% if active_tutorial %}
    <p>{{ active_tutorial.body|safe }}</p>
  {% else %}
    <p>There are no tutorials yet.</p>
  {% endif %} 
{% endblock %}

{% block sidebar %}
  {% if categories %}
    {% for category in categories %}
      <div class="list-group">
        <a href="#" class="list-group-item active">
          {{ category }}
        </a>
        {% for tutorial in tutorials %}
          {% if tutorial.title == active_tutorial.title %}
            <a href="{{ tutorial.get_absolute_url }}" class="list-group-item list-group-item-info">{{ tutorial.title }}</a>
          {% else %}
            <a href="{{ tutorial.get_absolute_url }}" class="list-group-item">{{ tutorial.title }}</a>
          {% endif %}
        {% endfor %}
      </div> <!-- /list-group -->
    {% endfor %}
  {% else %}
    <p>No tutorials have been written yet.</p>
  {% endif %}
{% endblock %}
